# Installation

{% hint style="warning" %}
It is important to follow all the steps for the script to work properly
{% endhint %}

* Download and unzip vision-fishing.zip
* Add "ensure vision\_fishing" to your server.cfg
* Follow the steps on this page
* (re)start your server and enjoy

#### Add items to ox\_inventory

{% hint style="info" %}
All of the images that we provide can be found within the downloaded files.
{% endhint %}

```lua
['fishing_rod'] = {
	label = 'Fishing Rod',
    weight = 1000,
    stack = false,
    close = true,
    description = 'A fishing rod for people who are unexperienced in fishing.',
    consume = 0.05,
    client = {
        event = 'vision-fishing:client:useRod'
    }
},

['intermediate_rod'] = {
    label = 'Intermediate Rod',
    weight = 1200,
    stack = false,
    close = true,
    description = 'A fishing rod for people who are experienced in fishing.',
    consume = 0.02,
    client = {
        event = 'vision-fishing:client:useRod'
    }
},

['pro_rod'] = {
    label = 'Pro Rod',
    weight = 1500,
    stack = false,
    close = true,
    description = 'A fishing rod for people who are experts in fishing',
    consume = 0.01,
    client = {
        event = 'vision-fishing:client:useRod'
    }
},

['breadcrumbs_bait'] = {
    label = 'Breadcrumbs',
    weight = 5,
    stack = true,
},

['worm_bait'] = {
	label = 'Worm',
	weight = 5,
	stack = true,
},

['bass'] = {
	label = 'Bass',
	weight = 500,
	stack = true,
	close = true,
	description = 'A fish that is caught in fresh water.'
},

['carp'] = {
	label = 'Carp',
	weight = 500,
	stack = true,
	close = true,
	description = 'A fish that is caught in fresh water.'
},

['catfish'] = {
	label = 'Catfish',
	weight = 2500,
	stack = true,
	close = true,
	description = 'A fish that is caught in fresh water.'
},

['pike'] = {
	label = 'Pike',
	weight = 2500,
	stack = true,
	close = true,
	description = 'A fish that is caught in fresh water.'
},

['trout'] = {
	label = 'Trout',
	weight = 400,
	stack = true,
	close = true,
    description = 'A fish that is caught in fresh water.'
},

['salmon'] = {
	label = 'Salmon',
	weight = 800,
	stack = true,
	close = true,
	description = 'A fish that can be caught in fresh water and salt water.'
},

['sturgeon'] = {
	label = 'Sturgeon',
	weight = 800,
	stack = true,
	close = true,
	description = 'A fish that can be caught in fresh water.'
},

['cod'] = {
	label = 'Cod',
	weight = 600,
	stack = true,
	close = true,
    description = 'A fish that is caught in salt water.'
},

['mackerel'] = {
	label = 'Mackerel',
	weight = 300,
	stack = true,
	close = true,
    description = 'A fish that is caught in salt water.'
},

['flounder'] = {
	label = 'Flounder',
	weight = 400,
	stack = true,
	close = true,
    description = 'A fish that is caught in salt water.'
},

['tuna'] = {
	label = 'Tuna',
	weight = 400,
	stack = true,
	close = true,
    description = 'A fish that is caught in salt water.'
},

['shark'] = {
	label = 'Shark',
	weight = 5000,
	stack = false,
	close = true,
	description = 'A lot of shark meat, but it is illegal to have.'
},

['turtle'] = {
	label = 'Turtle',
	weight = 3000,
	stack = false,
	close = true,
	description = 'Illegal to have, it is an endangered species'
},

['whale_oil'] = {
	label = 'Whale Oil',
	weight = 800,
	stack = false,
	close = true,
	description = 'Illegal to have, because it is made from an endangered species.'
},
```

#### Add new fish types (optional)

You can easily add new types of fish to the config.lua, just add a new line as shown down below and configure it to your likings.

You can also use a math.random(15, 30) for the price. And you can choose between easy, medium and hard for the difficulty.

To make sure the label is properly checkout locales/en.lua (or your own lang.) and add the new fish type to the fish section.

```lua
Config.Fish = {
    ['bass'] = {label = locale('fish.bass'), price = 45, difficulty = {'easy'}},
}
```

#### Add new rod types (optional)

```lua
Config.Rods = {
    ['pro_rod'] = {
        label = locale('rod.pro'),
        modifier = 1.8  -- x1.8 (Almost double)
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codebyvision.com/premium/fishing/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
